Subject: Fw: upperclassmen

From: "Hung Pineda" <[email-masked]>
Date: Sun, 10 Oct 2004 05:22:17 -0500

Been years since I've found a place like this.  http://www.ezfilesharing.com/ref44.html
You can download console games & full CD albums, dvd's and stuff.  I bookmarked about 7 pages of dvd movies I wanted.  Already started downloading them.
You aren't going to believe how many music CD's are in here - it's wacky.
They walk you through the entire process of burning them to CD.
I can tell you one thing, after I went through the movie section, I can't stop looking through it, theres movies in here still in theaters.
Tell me when you get back.

Cherie